import java.util.ArrayList;
import java.util.List;


public class Automat {
	private ArrayList<Polozka> zoznamPoloziek = new ArrayList<Polozka>(); 
	
	private int prijataSuma;
	
	private int zadanyKod;
	
	/**
	 * Suma je v centoch.
	 * 
	 */
	public void prijmiSumu(int suma) {
		prijataSuma = suma;		
	}
	
	public void zadajKod(int kod) {
		zadanyKod = kod;
	}
	
	/**
	 * 
	 * V pripade, ze sa tovar nenajde, vrati <code>null</code>.
	 */
	public String dajTovar() {
		for (Polozka polozka : zoznamPoloziek) {
			if(polozka.getKod() == zadanyKod) {
				if(polozka.getCena() < prijataSuma) {
					if(polozka.getPocet() > 0) {
						polozka.setPocet(polozka.getPocet() - 1);						
						return polozka.getNazov();
					} else {
						System.out.println("Nedostatok poloziek.");
					}
				}
			}
		}		
		return null;		
	}
	
	public void pripravSaNaDalsiehoZakaznika() {
		prijataSuma = 0;
		zadanyKod = 0;
	}
	
	public void vlozTovar(String tovar, int kod, int cena, int pocet) {
		zoznamPoloziek.add(new Polozka(tovar, kod, cena, pocet));
	}
	
}
